<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::acl::transport::test::HTTP2TransportTest Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1acl.html">acl</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1transport.html">transport</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1transport_1_1test.html">test</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_h_t_t_p2_transport_test.html">HTTP2TransportTest</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="classalexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_h_t_t_p2_transport_test-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::acl::transport::test::HTTP2TransportTest Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Test harness for <code><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_h_t_t_p2_transport.html">HTTP2Transport</a></code> class.  
 <a href="classalexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_h_t_t_p2_transport_test.html#details">More...</a></p>
<div class="dynheader">
Inheritance diagram for alexaClientSDK::acl::transport::test::HTTP2TransportTest:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_h_t_t_p2_transport_test__inherit__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_h_t_t_p2_transport_test_inherit__map" alt="Inheritance graph"/></div>
<map name="alexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_h_t_t_p2_transport_test_inherit__map" id="alexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_h_t_t_p2_transport_test_inherit__map">
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for alexaClientSDK::acl::transport::test::HTTP2TransportTest:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_h_t_t_p2_transport_test__coll__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_h_t_t_p2_transport_test_coll__map" alt="Collaboration graph"/></div>
<map name="alexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_h_t_t_p2_transport_test_coll__map" id="alexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_h_t_t_p2_transport_test_coll__map">
<area shape="rect" id="node3" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_promise_future_pair.html" title="alexaClientSDK::avsCommon\l::utils::PromiseFuturePair\l\&lt; std::shared_ptr\&lt; alexaClientSDK\l::acl::HTTP2Transport \&gt; \&gt;" alt="" coords="32,55,259,120"/>
<area shape="rect" id="node4" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_promise_future_pair_3_01void_01_4.html" title="alexaClientSDK::avsCommon\l::utils::PromiseFuturePair\l\&lt; void \&gt;" alt="" coords="47,144,244,196"/>
<area shape="rect" id="node5" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_promise_future_pair.html" title="alexaClientSDK::avsCommon\l::utils::PromiseFuturePair\l\&lt; std::shared_ptr\&lt; alexaClientSDK\l::avsCommon::sdkInterfaces::AuthObserver\lInterface \&gt; \&gt;" alt="" coords="5,220,285,299"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:aa9ec50a164e55e69cc1a7bc71c9c4fbd"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_h_t_t_p2_transport_test.html#aa9ec50a164e55e69cc1a7bc71c9c4fbd">SetUp</a> () override</td></tr>
<tr class="memdesc:aa9ec50a164e55e69cc1a7bc71c9c4fbd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Initial setup for tests.  <a href="#aa9ec50a164e55e69cc1a7bc71c9c4fbd">More...</a><br /></td></tr>
<tr class="separator:aa9ec50a164e55e69cc1a7bc71c9c4fbd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a92f059a0909bfef419642320a6e11382"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_h_t_t_p2_transport_test.html#a92f059a0909bfef419642320a6e11382">TearDown</a> () override</td></tr>
<tr class="memdesc:a92f059a0909bfef419642320a6e11382"><td class="mdescLeft">&#160;</td><td class="mdescRight">Cleanup method.  <a href="#a92f059a0909bfef419642320a6e11382">More...</a><br /></td></tr>
<tr class="separator:a92f059a0909bfef419642320a6e11382"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr class="memitem:a3973b80b42b3b5c8ead1ee0d4c299ab7"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_h_t_t_p2_transport_test.html#a3973b80b42b3b5c8ead1ee0d4c299ab7">setupHandlers</a> (bool sendOnPostConnected, bool expectConnected)</td></tr>
<tr class="separator:a3973b80b42b3b5c8ead1ee0d4c299ab7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad2b99220563111606a90428e7ceb28c9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_h_t_t_p2_transport_test.html#ad2b99220563111606a90428e7ceb28c9">sendAuthStateRefreshed</a> ()</td></tr>
<tr class="separator:ad2b99220563111606a90428e7ceb28c9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4c724d766fad5ce5862391a714d86946"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_h_t_t_p2_transport_test.html#a4c724d766fad5ce5862391a714d86946">authorizeAndConnect</a> ()</td></tr>
<tr class="separator:a4c724d766fad5ce5862391a714d86946"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:aed878b7a09bc078f007e9ddc05bb9c5b"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_h_t_t_p2_transport.html">HTTP2Transport</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_h_t_t_p2_transport_test.html#aed878b7a09bc078f007e9ddc05bb9c5b">m_http2Transport</a></td></tr>
<tr class="memdesc:aed878b7a09bc078f007e9ddc05bb9c5b"><td class="mdescLeft">&#160;</td><td class="mdescRight">The <a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_h_t_t_p2_transport.html">HTTP2Transport</a> instance to be tested.  <a href="#aed878b7a09bc078f007e9ddc05bb9c5b">More...</a><br /></td></tr>
<tr class="separator:aed878b7a09bc078f007e9ddc05bb9c5b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a44be99c764fa3cb8b6f7b0f2809a3c12"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_mock_auth_delegate.html">MockAuthDelegate</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_h_t_t_p2_transport_test.html#a44be99c764fa3cb8b6f7b0f2809a3c12">m_mockAuthDelegate</a></td></tr>
<tr class="memdesc:a44be99c764fa3cb8b6f7b0f2809a3c12"><td class="mdescLeft">&#160;</td><td class="mdescRight">The mock <code>AuthDelegateInterface</code>.  <a href="#a44be99c764fa3cb8b6f7b0f2809a3c12">More...</a><br /></td></tr>
<tr class="separator:a44be99c764fa3cb8b6f7b0f2809a3c12"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3255aac8eb74ff0999b8a3ea19c6456c"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_connection.html">MockHTTP2Connection</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_h_t_t_p2_transport_test.html#a3255aac8eb74ff0999b8a3ea19c6456c">m_mockHttp2Connection</a></td></tr>
<tr class="memdesc:a3255aac8eb74ff0999b8a3ea19c6456c"><td class="mdescLeft">&#160;</td><td class="mdescRight">The mock <code>HTTP2ConnectionInterface</code>.  <a href="#a3255aac8eb74ff0999b8a3ea19c6456c">More...</a><br /></td></tr>
<tr class="separator:a3255aac8eb74ff0999b8a3ea19c6456c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a16eaa927738bb78d714135c82e694950"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_mock_message_consumer.html">MockMessageConsumer</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_h_t_t_p2_transport_test.html#a16eaa927738bb78d714135c82e694950">m_mockMessageConsumer</a></td></tr>
<tr class="memdesc:a16eaa927738bb78d714135c82e694950"><td class="mdescLeft">&#160;</td><td class="mdescRight">The mock <code><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_message_consumer_interface.html">MessageConsumerInterface</a></code>.  <a href="#a16eaa927738bb78d714135c82e694950">More...</a><br /></td></tr>
<tr class="separator:a16eaa927738bb78d714135c82e694950"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab80d240f06c5fcf9b9b41a7d3529f14e"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_manager.html">AttachmentManager</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_h_t_t_p2_transport_test.html#ab80d240f06c5fcf9b9b41a7d3529f14e">m_attachmentManager</a></td></tr>
<tr class="memdesc:ab80d240f06c5fcf9b9b41a7d3529f14e"><td class="mdescLeft">&#160;</td><td class="mdescRight">An instance of the <code>AttachmentManager</code>.  <a href="#ab80d240f06c5fcf9b9b41a7d3529f14e">More...</a><br /></td></tr>
<tr class="separator:ab80d240f06c5fcf9b9b41a7d3529f14e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7ff21f6e81bef9ea4d50dbcf482cdd01"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_mock_transport_observer.html">MockTransportObserver</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_h_t_t_p2_transport_test.html#a7ff21f6e81bef9ea4d50dbcf482cdd01">m_mockTransportObserver</a></td></tr>
<tr class="memdesc:a7ff21f6e81bef9ea4d50dbcf482cdd01"><td class="mdescLeft">&#160;</td><td class="mdescRight">The mock <code><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_transport_observer_interface.html">TransportObserverInterface</a></code>.  <a href="#a7ff21f6e81bef9ea4d50dbcf482cdd01">More...</a><br /></td></tr>
<tr class="separator:a7ff21f6e81bef9ea4d50dbcf482cdd01"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3302cccf172dd6d4db0c05c8b4d58f7c"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_mock_post_connect_factory.html">MockPostConnectFactory</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_h_t_t_p2_transport_test.html#a3302cccf172dd6d4db0c05c8b4d58f7c">m_mockPostConnectFactory</a></td></tr>
<tr class="memdesc:a3302cccf172dd6d4db0c05c8b4d58f7c"><td class="mdescLeft">&#160;</td><td class="mdescRight">The mock <code><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_post_connect_factory_interface.html">PostConnectFactoryInterface</a></code>.  <a href="#a3302cccf172dd6d4db0c05c8b4d58f7c">More...</a><br /></td></tr>
<tr class="separator:a3302cccf172dd6d4db0c05c8b4d58f7c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a407667557836ad2841039c0641d4f773"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_mock_post_connect.html">MockPostConnect</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_h_t_t_p2_transport_test.html#a407667557836ad2841039c0641d4f773">m_mockPostConnect</a></td></tr>
<tr class="memdesc:a407667557836ad2841039c0641d4f773"><td class="mdescLeft">&#160;</td><td class="mdescRight">The mock <code><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_post_connect_interface.html">PostConnectInterface</a></code>.  <a href="#a407667557836ad2841039c0641d4f773">More...</a><br /></td></tr>
<tr class="separator:a407667557836ad2841039c0641d4f773"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acc1662c9398bd2b100d2b3927991d486"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_promise_future_pair.html">PromiseFuturePair</a>&lt; std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_auth_observer_interface.html">AuthObserverInterface</a> &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_h_t_t_p2_transport_test.html#acc1662c9398bd2b100d2b3927991d486">m_authObserverSet</a></td></tr>
<tr class="memdesc:acc1662c9398bd2b100d2b3927991d486"><td class="mdescLeft">&#160;</td><td class="mdescRight">A promise that the Auth Observer will be set.  <a href="#acc1662c9398bd2b100d2b3927991d486">More...</a><br /></td></tr>
<tr class="separator:acc1662c9398bd2b100d2b3927991d486"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7a5a4c031bef895c8b1f8518e44078e0"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_promise_future_pair.html">PromiseFuturePair</a>&lt; void &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_h_t_t_p2_transport_test.html#a7a5a4c031bef895c8b1f8518e44078e0">m_createPostConnectCalled</a></td></tr>
<tr class="memdesc:a7a5a4c031bef895c8b1f8518e44078e0"><td class="mdescLeft">&#160;</td><td class="mdescRight">A promise that <code><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_post_connect_factory_interface.html#abb05b96a029b86b212a6be4ebfcea8a0">PostConnectFactoryInterface::createPostConnect()</a></code> will be called).  <a href="#a7a5a4c031bef895c8b1f8518e44078e0">More...</a><br /></td></tr>
<tr class="separator:a7a5a4c031bef895c8b1f8518e44078e0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3cfc68d40d2106685998248a011df40e"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_promise_future_pair.html">PromiseFuturePair</a>&lt; std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_h_t_t_p2_transport.html">HTTP2Transport</a> &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_h_t_t_p2_transport_test.html#a3cfc68d40d2106685998248a011df40e">m_doPostConnected</a></td></tr>
<tr class="memdesc:a3cfc68d40d2106685998248a011df40e"><td class="mdescLeft">&#160;</td><td class="mdescRight">A promise that <code><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_post_connect_interface.html">PostConnectInterface</a>:doPostConnect()</code> will be called).  <a href="#a3cfc68d40d2106685998248a011df40e">More...</a><br /></td></tr>
<tr class="separator:a3cfc68d40d2106685998248a011df40e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5140780a96abd8d3914ec50449696813"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_promise_future_pair.html">PromiseFuturePair</a>&lt; void &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_h_t_t_p2_transport_test.html#a5140780a96abd8d3914ec50449696813">m_transportConnected</a></td></tr>
<tr class="memdesc:a5140780a96abd8d3914ec50449696813"><td class="mdescLeft">&#160;</td><td class="mdescRight">A promise that the <code>TransportObserver.onConnected()</code> will be called.  <a href="#a5140780a96abd8d3914ec50449696813">More...</a><br /></td></tr>
<tr class="separator:a5140780a96abd8d3914ec50449696813"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p class="">Test harness for <code><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_h_t_t_p2_transport.html">HTTP2Transport</a></code> class. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a4c724d766fad5ce5862391a714d86946"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4c724d766fad5ce5862391a714d86946">&#9670;&nbsp;</a></span>authorizeAndConnect()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::acl::transport::test::HTTP2TransportTest::authorizeAndConnect </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Helper function to put the <code><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_h_t_t_p2_transport.html">HTTP2Transport</a></code> into connected state. </p>

</div>
</div>
<a id="ad2b99220563111606a90428e7ceb28c9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad2b99220563111606a90428e7ceb28c9">&#9670;&nbsp;</a></span>sendAuthStateRefreshed()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::acl::transport::test::HTTP2TransportTest::sendAuthStateRefreshed </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Helper function to send <code>Refreshed</code> Auth State to the <code><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_h_t_t_p2_transport.html">HTTP2Transport</a></code> observer. It also checks that a proper Auth observer has been registered by <code><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_h_t_t_p2_transport.html">HTTP2Transport</a></code>. </p>

</div>
</div>
<a id="aa9ec50a164e55e69cc1a7bc71c9c4fbd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa9ec50a164e55e69cc1a7bc71c9c4fbd">&#9670;&nbsp;</a></span>SetUp()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::acl::transport::test::HTTP2TransportTest::SetUp </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Initial setup for tests. </p>

</div>
</div>
<a id="a3973b80b42b3b5c8ead1ee0d4c299ab7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3973b80b42b3b5c8ead1ee0d4c299ab7">&#9670;&nbsp;</a></span>setupHandlers()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::acl::transport::test::HTTP2TransportTest::setupHandlers </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>sendOnPostConnected</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>expectConnected</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Setup the handlers for the mocked methods <code><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_auth_delegate_interface.html#a4828a1a064ec6c1c1d9c2fefad5d5d0d">AuthDelegateInterface::addAuthObserver()</a></code>, <code><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_post_connect_factory_interface.html#abb05b96a029b86b212a6be4ebfcea8a0">PostConnectFactoryInterface::createPostConnect()</a></code> , <code><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_post_connect_interface.html#a6e42358b110f2edb825cbc7b86ae63ef">PostConnectInterface::doPostConnect()</a></code> , <code><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_transport_observer_interface.html#a5adb2af4447ad523403bd7e129842180">TransportObserverInterface::onConnected()</a></code>.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">sendOnPostConnected</td><td>A boolean to specify whether to send onPostConnected() event when <code><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_post_connect_interface.html#a6e42358b110f2edb825cbc7b86ae63ef">PostConnectInterface::doPostConnect()</a></code> is called. </td></tr>
    <tr><td class="paramname">expectConnected</td><td>Specify that a call to <a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_transport_observer_interface.html#a5adb2af4447ad523403bd7e129842180">TransportObserverInterface::onConnected()</a> is expected. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a92f059a0909bfef419642320a6e11382"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a92f059a0909bfef419642320a6e11382">&#9670;&nbsp;</a></span>TearDown()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::acl::transport::test::HTTP2TransportTest::TearDown </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Cleanup method. </p>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="ab80d240f06c5fcf9b9b41a7d3529f14e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab80d240f06c5fcf9b9b41a7d3529f14e">&#9670;&nbsp;</a></span>m_attachmentManager</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_manager.html">AttachmentManager</a>&gt; alexaClientSDK::acl::transport::test::HTTP2TransportTest::m_attachmentManager</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>An instance of the <code>AttachmentManager</code>. </p>

</div>
</div>
<a id="acc1662c9398bd2b100d2b3927991d486"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acc1662c9398bd2b100d2b3927991d486">&#9670;&nbsp;</a></span>m_authObserverSet</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_promise_future_pair.html">PromiseFuturePair</a>&lt;std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_auth_observer_interface.html">AuthObserverInterface</a>&gt; &gt; alexaClientSDK::acl::transport::test::HTTP2TransportTest::m_authObserverSet</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>A promise that the Auth Observer will be set. </p>

</div>
</div>
<a id="a7a5a4c031bef895c8b1f8518e44078e0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7a5a4c031bef895c8b1f8518e44078e0">&#9670;&nbsp;</a></span>m_createPostConnectCalled</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_promise_future_pair.html">PromiseFuturePair</a>&lt;void&gt; alexaClientSDK::acl::transport::test::HTTP2TransportTest::m_createPostConnectCalled</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>A promise that <code><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_post_connect_factory_interface.html#abb05b96a029b86b212a6be4ebfcea8a0">PostConnectFactoryInterface::createPostConnect()</a></code> will be called). </p>

</div>
</div>
<a id="a3cfc68d40d2106685998248a011df40e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3cfc68d40d2106685998248a011df40e">&#9670;&nbsp;</a></span>m_doPostConnected</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_promise_future_pair.html">PromiseFuturePair</a>&lt;std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_h_t_t_p2_transport.html">HTTP2Transport</a>&gt; &gt; alexaClientSDK::acl::transport::test::HTTP2TransportTest::m_doPostConnected</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>A promise that <code><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_post_connect_interface.html">PostConnectInterface</a>:doPostConnect()</code> will be called). </p>

</div>
</div>
<a id="aed878b7a09bc078f007e9ddc05bb9c5b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aed878b7a09bc078f007e9ddc05bb9c5b">&#9670;&nbsp;</a></span>m_http2Transport</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_h_t_t_p2_transport.html">HTTP2Transport</a>&gt; alexaClientSDK::acl::transport::test::HTTP2TransportTest::m_http2Transport</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The <a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_h_t_t_p2_transport.html">HTTP2Transport</a> instance to be tested. </p>

</div>
</div>
<a id="a44be99c764fa3cb8b6f7b0f2809a3c12"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a44be99c764fa3cb8b6f7b0f2809a3c12">&#9670;&nbsp;</a></span>m_mockAuthDelegate</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_mock_auth_delegate.html">MockAuthDelegate</a>&gt; alexaClientSDK::acl::transport::test::HTTP2TransportTest::m_mockAuthDelegate</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The mock <code>AuthDelegateInterface</code>. </p>

</div>
</div>
<a id="a3255aac8eb74ff0999b8a3ea19c6456c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3255aac8eb74ff0999b8a3ea19c6456c">&#9670;&nbsp;</a></span>m_mockHttp2Connection</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_connection.html">MockHTTP2Connection</a>&gt; alexaClientSDK::acl::transport::test::HTTP2TransportTest::m_mockHttp2Connection</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The mock <code>HTTP2ConnectionInterface</code>. </p>

</div>
</div>
<a id="a16eaa927738bb78d714135c82e694950"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a16eaa927738bb78d714135c82e694950">&#9670;&nbsp;</a></span>m_mockMessageConsumer</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_mock_message_consumer.html">MockMessageConsumer</a>&gt; alexaClientSDK::acl::transport::test::HTTP2TransportTest::m_mockMessageConsumer</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The mock <code><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_message_consumer_interface.html">MessageConsumerInterface</a></code>. </p>

</div>
</div>
<a id="a407667557836ad2841039c0641d4f773"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a407667557836ad2841039c0641d4f773">&#9670;&nbsp;</a></span>m_mockPostConnect</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_mock_post_connect.html">MockPostConnect</a>&gt; alexaClientSDK::acl::transport::test::HTTP2TransportTest::m_mockPostConnect</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The mock <code><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_post_connect_interface.html">PostConnectInterface</a></code>. </p>

</div>
</div>
<a id="a3302cccf172dd6d4db0c05c8b4d58f7c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3302cccf172dd6d4db0c05c8b4d58f7c">&#9670;&nbsp;</a></span>m_mockPostConnectFactory</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_mock_post_connect_factory.html">MockPostConnectFactory</a>&gt; alexaClientSDK::acl::transport::test::HTTP2TransportTest::m_mockPostConnectFactory</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The mock <code><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_post_connect_factory_interface.html">PostConnectFactoryInterface</a></code>. </p>

</div>
</div>
<a id="a7ff21f6e81bef9ea4d50dbcf482cdd01"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7ff21f6e81bef9ea4d50dbcf482cdd01">&#9670;&nbsp;</a></span>m_mockTransportObserver</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_mock_transport_observer.html">MockTransportObserver</a>&gt; alexaClientSDK::acl::transport::test::HTTP2TransportTest::m_mockTransportObserver</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The mock <code><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_transport_observer_interface.html">TransportObserverInterface</a></code>. </p>

</div>
</div>
<a id="a5140780a96abd8d3914ec50449696813"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5140780a96abd8d3914ec50449696813">&#9670;&nbsp;</a></span>m_transportConnected</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_promise_future_pair.html">PromiseFuturePair</a>&lt;void&gt; alexaClientSDK::acl::transport::test::HTTP2TransportTest::m_transportConnected</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>A promise that the <code>TransportObserver.onConnected()</code> will be called. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/workplace/avs-device-sdk/ACL/test/Transport/<a class="el" href="_h_t_t_p2_transport_test_8cpp.html">HTTP2TransportTest.cpp</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
